## org.biojava.utils.math
Interface ComputeObject

All Known Implementing Classes:
  IsoelectricPointCalc.ChargeCalculator

    public interface ComputeObject

interface for classes that return a single double precision value for a single double precision argument. Used to represent equations of type y = f(x) = 0.

Since:
  1.22
Author:
  David Huen

Method Summary
`double` `compute(double arg)` workhorse method for this class.

Method Detail

### compute

    double compute(double arg)

  workhorse method for this class. computes f(x) for given x.